Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_nefarian.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_nefarian.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_nefarian.cpp (revision 260)
@@ -224,4 +224,4 @@
     newscript->Name="boss_nefarian";
     newscript->GetAI = GetAI_boss_nefarian;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_ebonroc.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_ebonroc.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_ebonroc.cpp (revision 260)
@@ -100,4 +100,4 @@
     newscript->Name="boss_ebonroc";
     newscript->GetAI = GetAI_boss_ebonroc;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/searing_gorge/searing_gorge.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/searing_gorge/searing_gorge.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/searing_gorge/searing_gorge.cpp (revision 260)
@@ -144,5 +144,5 @@
     newscript->pGossipHello =  &GossipHello_npc_kalaran_windblade;
     newscript->pGossipSelect = &GossipSelect_npc_kalaran_windblade;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -150,5 +150,5 @@
     newscript->pGossipHello          = &GossipHello_npc_lothos_riftwaker;
     newscript->pGossipSelect         = &GossipSelect_npc_lothos_riftwaker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -156,4 +156,4 @@
     newscript->pGossipHello =  &GossipHello_npc_zamael_lunthistle;
     newscript->pGossipSelect = &GossipSelect_npc_zamael_lunthistle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blades_edge_mountains/blades_edge_mountains.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blades_edge_mountains/blades_edge_mountains.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/blades_edge_mountains/blades_edge_mountains.cpp (revision 260)
@@ -407,15 +407,15 @@
     newscript->Name="mobs_bladespire_ogre";
     newscript->GetAI = GetAI_mobs_bladespire_ogre;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mobs_nether_drake";
     newscript->GetAI = GetAI_mobs_nether_drake;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_daranelle";
     newscript->GetAI = GetAI_npc_daranelle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -423,5 +423,5 @@
     newscript->pGossipHello = &GossipHello_npc_overseer_nuaar;
     newscript->pGossipSelect = &GossipSelect_npc_overseer_nuaar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -429,5 +429,5 @@
     newscript->pGossipHello = &GossipHello_npc_saikkal_the_elder;
     newscript->pGossipSelect = &GossipSelect_npc_saikkal_the_elder;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -435,4 +435,4 @@
     newscript->pGossipHello =  &GossipHello_npc_skyguard_handler_irena;
     newscript->pGossipSelect = &GossipSelect_npc_skyguard_handler_irena;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/mana_tombs/boss_nexusprince_shaffar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/mana_tombs/boss_nexusprince_shaffar.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/mana_tombs/boss_nexusprince_shaffar.cpp (revision 260)
@@ -272,9 +272,9 @@
     newscript->Name="boss_nexusprince_shaffar";
     newscript->GetAI = GetAI_boss_nexusprince_shaffar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_ethereal_beacon";
     newscript->GetAI = GetAI_mob_ethereal_beacon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/mana_tombs/boss_pandemonius.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/mana_tombs/boss_pandemonius.cpp (revision 115)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/mana_tombs/boss_pandemonius.cpp (revision 260)
@@ -135,4 +135,4 @@
     newscript->Name="boss_pandemonius";
     newscript->GetAI = GetAI_boss_pandemonius;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/auchenai_crypts/boss_exarch_maladaar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/auchenai_crypts/boss_exarch_maladaar.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/auchenai_crypts/boss_exarch_maladaar.cpp (revision 260)
@@ -349,14 +349,14 @@
     newscript->Name="boss_exarch_maladaar";
     newscript->GetAI = GetAI_boss_exarch_maladaar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_avatar_of_martyred";
     newscript->GetAI = GetAI_mob_avatar_of_martyred;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_stolen_soul";
     newscript->GetAI = GetAI_mob_stolen_soul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/instance_sethekk_halls.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/instance_sethekk_halls.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/instance_sethekk_halls.cpp (revision 260)
@@ -71,4 +71,4 @@
     newscript->Name = "instance_sethekk_halls";
     newscript->GetInstanceData = GetInstanceData_instance_sethekk_halls;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/boss_tailonking_ikiss.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/boss_tailonking_ikiss.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/boss_tailonking_ikiss.cpp (revision 260)
@@ -220,4 +220,4 @@
     newscript->Name="boss_talon_king_ikiss";
     newscript->GetAI = GetAI_boss_talon_king_ikiss;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/boss_darkweaver_syth.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/boss_darkweaver_syth.cpp (revision 115)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/sethekk_halls/boss_darkweaver_syth.cpp (revision 260)
@@ -393,24 +393,24 @@
     newscript->Name="boss_darkweaver_syth";
     newscript->GetAI = GetAI_boss_darkweaver_syth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_syth_fire";
     newscript->GetAI = GetAI_mob_syth_arcane;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_syth_arcane";
     newscript->GetAI = GetAI_mob_syth_arcane;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_syth_frost";
     newscript->GetAI = GetAI_mob_syth_frost;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_syth_shadow";
     newscript->GetAI = GetAI_mob_syth_shadow;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_blackheart_the_inciter.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_blackheart_the_inciter.cpp (revision 115)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_blackheart_the_inciter.cpp (revision 260)
@@ -174,4 +174,4 @@
     newscript->Name="boss_blackheart_the_inciter";
     newscript->GetAI = GetAI_boss_blackheart_the_inciter;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/instance_shadow_labyrinth.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/instance_shadow_labyrinth.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/instance_shadow_labyrinth.cpp (revision 260)
@@ -175,4 +175,4 @@
     newscript->Name = "instance_shadow_labyrinth";
     newscript->GetInstanceData = GetInstanceData_instance_shadow_labyrinth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_grandmaster_vorpil.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_grandmaster_vorpil.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_grandmaster_vorpil.cpp (revision 260)
@@ -364,9 +364,9 @@
     newscript->Name="boss_grandmaster_vorpil";
     newscript->GetAI = GetAI_boss_grandmaster_vorpil;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_voidtraveler";
     newscript->GetAI = GetAI_mob_voidtraveler;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_ambassador_hellmaw.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_ambassador_hellmaw.cpp (revision 115)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_ambassador_hellmaw.cpp (revision 260)
@@ -195,4 +195,4 @@
     newscript->Name="boss_ambassador_hellmaw";
     newscript->GetAI = GetAI_boss_ambassador_hellmaw;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_murmur.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_murmur.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/aunchindoun/shadow_labyrinth/boss_murmur.cpp (revision 260)
@@ -149,4 +149,4 @@
     newscript->Name="boss_murmur";
     newscript->GetAI = GetAI_boss_murmur;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zangarmarsh/zangarmarsh.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zangarmarsh/zangarmarsh.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/zangarmarsh/zangarmarsh.cpp (revision 260)
@@ -262,5 +262,5 @@
     newscript->pGossipHello =  &GossipHello_npcs_ashyen_and_keleth;
     newscript->pGossipSelect = &GossipSelect_npcs_ashyen_and_keleth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -268,5 +268,5 @@
     newscript->pGossipHello =  &GossipHello_npc_cooshcoosh;
     newscript->pGossipSelect = &GossipSelect_npc_cooshcoosh;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -274,5 +274,5 @@
     newscript->pGossipHello =  &GossipHello_npc_elder_kuruti;
     newscript->pGossipSelect = &GossipSelect_npc_elder_kuruti;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -280,4 +280,4 @@
     newscript->pGossipHello =  &GossipHello_npc_mortog_steamhead;
     newscript->pGossipSelect = &GossipSelect_npc_mortog_steamhead;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/thunder_bluff/thunder_bluff.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/thunder_bluff/thunder_bluff.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/thunder_bluff/thunder_bluff.cpp (revision 260)
@@ -133,4 +133,4 @@
     newscript->pGossipHello = &GossipHello_npc_cairne_bloodhoof;
     newscript->pGossipSelect = &GossipSelect_npc_cairne_bloodhoof;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_hydromancer_thespia.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_hydromancer_thespia.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_hydromancer_thespia.cpp (revision 260)
@@ -189,9 +189,9 @@
     newscript->Name="boss_hydromancer_thespia";
     newscript->GetAI = GetAI_boss_thespiaAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_coilfang_waterelemental";
     newscript->GetAI = GetAI_mob_coilfang_waterelementalAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_warlord_kalithresh.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_warlord_kalithresh.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_warlord_kalithresh.cpp (revision 260)
@@ -227,9 +227,9 @@
     newscript->Name="mob_naga_distiller";
     newscript->GetAI = GetAI_mob_naga_distiller;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_warlord_kalithresh";
     newscript->GetAI = GetAI_boss_warlord_kalithresh;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_mekgineer_steamrigger.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_mekgineer_steamrigger.cpp (revision 166)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/boss_mekgineer_steamrigger.cpp (revision 260)
@@ -272,9 +272,9 @@
     newscript->Name="boss_mekgineer_steamrigger";
     newscript->GetAI = GetAI_boss_mekgineer_steamrigger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_steamrigger_mechanic";
     newscript->GetAI = GetAI_mob_steamrigger_mechanic;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/instance_steam_vault.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/instance_steam_vault.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/steam_vault/instance_steam_vault.cpp (revision 260)
@@ -167,4 +167,4 @@
     newscript->Name = "instance_steam_vault";
     newscript->GetInstanceData = GetInstanceData_instance_steam_vault;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/underbog/boss_hungarfen.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/underbog/boss_hungarfen.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/underbog/boss_hungarfen.cpp (revision 260)
@@ -148,9 +148,9 @@
     newscript->Name="boss_hungarfen";
     newscript->GetAI = GetAI_boss_hungarfen;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_underbog_mushroom";
     newscript->GetAI = GetAI_mob_underbog_mushroom;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_hydross_the_unstable.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_hydross_the_unstable.cpp (revision 182)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_hydross_the_unstable.cpp (revision 260)
@@ -383,4 +383,4 @@
     newscript->Name="boss_hydross_the_unstable";
     newscript->GetAI = GetAI_boss_hydross_the_unstable;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_lurker_below.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_lurker_below.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_lurker_below.cpp (revision 260)
@@ -168,15 +168,15 @@
     newscript->Name="boss_the_lurker_below";
     newscript->GetAI = GetAI_boss_the_lurker_below;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
     newscript->Name="mob_coilfang_guardian";
     newscript->GetAI = GetAI_mob_coilfang_guardian;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
     newscript->Name="mob_coilfang_ambusher";
     newscript->GetAI = GetAI_mob_coilfang_ambusher;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
 
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_leotheras_the_blind.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_leotheras_the_blind.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_leotheras_the_blind.cpp (revision 260)
@@ -805,19 +805,19 @@
     newscript->Name="boss_leotheras_the_blind";
     newscript->GetAI = GetAI_boss_leotheras_the_blind;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_leotheras_the_blind_demonform";
     newscript->GetAI = GetAI_boss_leotheras_the_blind_demonform;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
     newscript->Name="mob_greyheart_spellbinder";
     newscript->GetAI = GetAI_mob_greyheart_spellbinder;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
     newscript->Name="mob_inner_demon";
     newscript->GetAI = GetAI_mob_inner_demon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_lady_vashj.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_lady_vashj.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_lady_vashj.cpp (revision 260)
@@ -1030,40 +1030,40 @@
     newscript->Name="boss_lady_vashj";
     newscript->GetAI = GetAI_boss_lady_vashj;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_enchanted_elemental";
     newscript->GetAI = GetAI_mob_enchanted_elemental;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_tainted_elemental";
     newscript->GetAI = GetAI_mob_tainted_elemental;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_toxic_sporebat";
     newscript->GetAI = GetAI_mob_toxic_sporebat;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_coilfang_elite";
     newscript->GetAI = GetAI_mob_coilfang_elite;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_coilfang_strider";
     newscript->GetAI = GetAI_mob_coilfang_strider;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_shield_generator_channel";
     newscript->GetAI = GetAI_mob_shield_generator_channel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="item_tainted_core";
     newscript->pItemUse = ItemUse_item_tainted_core;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
 
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_fathomlord_karathress.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_fathomlord_karathress.cpp (revision 164)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_fathomlord_karathress.cpp (revision 260)
@@ -745,19 +745,19 @@
     newscript->Name="boss_fathomlord_karathress";
     newscript->GetAI = GetAI_boss_fathomlord_karathress;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_fathomguard_sharkkis";
     newscript->GetAI = GetAI_boss_fathomguard_sharkkis;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_fathomguard_tidalvess";
     newscript->GetAI = GetAI_boss_fathomguard_tidalvess;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_fathomguard_caribdis";
     newscript->GetAI = GetAI_boss_fathomguard_caribdis;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_morogrim_tidewalker.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_morogrim_tidewalker.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/boss_morogrim_tidewalker.cpp (revision 260)
@@ -351,9 +351,9 @@
     newscript->Name="boss_morogrim_tidewalker";
     newscript->GetAI = GetAI_boss_morogrim_tidewalker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_water_globule";
     newscript->GetAI = GetAI_mob_water_globule;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/instance_serpent_shrine.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/instance_serpent_shrine.cpp (revision 187)
+++ /trunk/src/bindings/scripts/scripts/zone/coilfang_resevoir/serpent_shrine/instance_serpent_shrine.cpp (revision 260)
@@ -216,4 +216,4 @@
     newscript->Name = "instance_serpent_shrine";
     newscript->GetInstanceData = GetInstanceData_instance_serpentshrine_cavern;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_moam.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_moam.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_moam.cpp (revision 260)
@@ -114,4 +114,4 @@
     newscript->Name="boss_moam";
     newscript->GetAI = GetAI_boss_moam;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_ayamiss.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_ayamiss.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_ayamiss.cpp (revision 260)
@@ -104,4 +104,4 @@
     newscript->Name="boss_ayamiss";
     newscript->GetAI = GetAI_boss_ayamiss;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_kurinnaxx.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_kurinnaxx.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/ruins_of_ahnqiraj/boss_kurinnaxx.cpp (revision 260)
@@ -90,4 +90,4 @@
     newscript->Name="boss_kurinnaxx";
     newscript->GetAI = GetAI_boss_kurinnaxx;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/onyxias_lair/boss_onyxia.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/onyxias_lair/boss_onyxia.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/onyxias_lair/boss_onyxia.cpp (revision 260)
@@ -230,4 +230,4 @@
     newscript->Name="boss_onyxia";
     newscript->GetAI = GetAI_boss_onyxiaAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/dun_morogh/dun_morogh.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/dun_morogh/dun_morogh.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/dun_morogh/dun_morogh.cpp (revision 260)
@@ -95,4 +95,4 @@
     newscript->Name="npc_narm_faulk";
     newscript->GetAI = GetAI_npc_narm_faulk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_aeonus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_aeonus.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_aeonus.cpp (revision 260)
@@ -118,4 +118,4 @@
     newscript->Name="boss_aeonus";
     newscript->GetAI = GetAI_boss_aeonus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_chrono_lord_deja.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_chrono_lord_deja.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_chrono_lord_deja.cpp (revision 260)
@@ -106,4 +106,4 @@
     newscript->Name="boss_chrono_lord_deja";
     newscript->GetAI = GetAI_boss_chrono_lord_deja;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_temporus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_temporus.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/dark_portal/boss_temporus.cpp (revision 260)
@@ -140,4 +140,4 @@
     newscript->Name="boss_temporus";
     newscript->GetAI = GetAI_boss_temporus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/old_hillsbrad.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/old_hillsbrad.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/old_hillsbrad.cpp (revision 260)
@@ -894,5 +894,5 @@
     newscript->pGossipHello =   &GossipHello_npc_brazen;
     newscript->pGossipSelect =  &GossipSelect_npc_brazen;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -900,5 +900,5 @@
     newscript->pGossipHello =   &GossipHello_npc_erozion;
     newscript->pGossipSelect =  &GossipSelect_npc_erozion;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -907,5 +907,5 @@
     newscript->pGossipSelect = &GossipSelect_npc_thrall_old_hillsbrad;
     newscript->GetAI = GetAI_npc_thrall_old_hillsbrad;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -913,4 +913,4 @@
     newscript->pGossipHello =   &GossipHello_npc_taretha;
     newscript->pGossipSelect =  &GossipSelect_npc_taretha;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_captain_skarloc.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_captain_skarloc.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_captain_skarloc.cpp (revision 260)
@@ -153,4 +153,4 @@
     newscript->Name="boss_captain_skarloc";
     newscript->GetAI = GetAI_boss_captain_skarloc;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
